Home > Error While > Error While Executing Gem ... (argumenterror) Ipv6 Address Must Be 16 Bytes

Error While Executing Gem ... (argumenterror) Ipv6 Address Must Be 16 Bytes

Contents

What does a well diversified self-managed investment portfolio look like? Is there a role with more responsibility? you have a corrupt gem, due to network timeout, faulty manual download, or whatever. C:\Users\Jon>gem env RubyGems Environment: - RUBYGEMS VERSION: 1.8.11 - RUBY VERSION: 1.9.3 (2011-11-08 patchlevel 0) [i386-mingw32] - INSTALLATION DIRECTORY: C:/ruby193/lib/ruby/gems/1.9.1 - RUBY EXECUTABLE: C:/ruby193/bin/ruby.exe - EXECUTABLE DIRECTORY: C:/ruby193/bin - RUBYGEMS PLATFORMS: Check This Out

What are "desires of the flesh"? gem install compass --http-proxy http://user:[email protected]:port/ or: SET HTTP_PROXY=http://user:[email protected]:port/ gem install compass More info: gem help install [1] http://yourbugreportneedsmore.info/ -- Luis Lavena Report post Edit Delete Reply with quote Forum List Topic Thanks for the post. C:\>gem install rake Successfully installed rake-0.8.7 1 gem installed Installing ri documentation for rake-0.8.7... http://stackoverflow.com/questions/13684137/error-while-executing-gem-zlibgzipfileerror-not-in-gzip-format

Error While Executing Gem Zlib

First add the correct source: C:\>gem sources -a http://rubygems.org/ http://rubygems.org/ added to sources Then remove the deprecated one: C:\>gem sources -r http://gems.rubyforge.org/ http://gems.rubyforge.org/ removed from sources C:\>gem sources *** CURRENT SOURCES Translating "machines" and "people" "all empires will suffer the same fate should the lessons from history go unlearnt" Cyberpunk story: Black samurai, skateboarding courier, Mafia selling pizza and Sumerian goddess as In practice one wants to write export PATH="/home/scoobydoo/ourcompiledruby/bin:$PATH" because this prepends all of the values that the PATH had prior to this assignment to the /home/scoobydoo/ourcompiledruby/bin. Contact information - E-Mail: webmaster (at) ruby-forum (dot) com.

How do I explain that this is a terrible idea? Terms Privacy Security Status Help You can't perform that action at this time. current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list. Error While Executing Gem Gem Remotefetcher Fetcherror In it, you'll get: The week's top questions and answers Important community announcements Questions that need answers see an example newsletter By subscribing, you agree to the privacy policy and terms

In ruby/lib/ruby/1.8/i386-msvcrt, make sure that there exists a zlib.so file. Error While Executing Gem ... (nomethoderror) You signed in with another tab or window. But at my workplace, I need to use a proxy in my command : C:\>gem install -p [proxy:port] compass which throws the above mentioned error. –senchaDev Dec 3 '12 at 15:06 Go Here I got these errors when used rubygems behind a proxy at some places.

This first searches your local directory. Error While Executing Gem Permission Denied You may have sources set via ~/.gemrc, so you should replace http://gems.rubyforge.org with http://rubygems.org http://gems.rubyforge.org will continue to work for the forseeable future. ... sorry. With the passing of Thai King Bhumibol, are there any customs/etiquette as a traveler I should be aware of?

Error While Executing Gem ... (nomethoderror)

It's not what I wanted; I wanted to know why I was getting the issue, but it's all sorted out. on 3 April 2012 at 1:44 am | Reply Gishu Thanks.. Error While Executing Gem Zlib more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Error While Executing Gem Filepermissionerror When I try the same command from my workplace I need to use the proxy as mentioned above and that results in an error.

Already have an account? his comment is here The rest of my text here does not contain anything new and it is encouraged to omit it, if You feel comfortable at customizing Your execution environment at UNIX-like operating systems. senfo commented Feb 2, 2014 @luislavena, I apologize for the delay. The Flea Circuit How to handle a senior developer diva who seems unaware that his skills are obsolete? Error While Executing Gem ... (runtimeerror)

EvenSt-ring C ode - g ol!f What's the most recent specific historical element that is common between Star Trek and the real world? Reload to refresh your session. Traps in the Owen's opening more hot questions question feed lang-rb about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life this contact form After this I tried gem install compass.

Registration is free and takes only a minute. Error While Executing Gem Ssl_connect Returned=1 Browse other questions tagged ruby gem sencha-touch sass compass-sass or ask your own question. It requires me to install Ruby, Compass and SASS.

Browse other questions tagged ruby gem or ask your own question.

How to make files protected? Does not require connection to the ruby website. Is it appropriate to tell my coworker my mom passed away? Error While Executing Gem ... (argumenterror) Marshal Data Too Short Unusual keyboard in a picture maintaining brightness while shooting bright landscapes Are "ŝati" and "plaĉi al" interchangeable?

I had just upgraded XCode. It's possible to see the value of the PATH by typing to a bash shell (and pressing Enter key): echo $PATH For example, if there are 2 versions of irb in I could not start immediately, though. navigate here Thanks a ton. –Bharat Dodeja Feb 20 '14 at 14:23 This did not work for me.

On finding the required gems, installation takes place. Not the answer you're looking for? Why does argv include the program name? Make all the statements true Can an ATCo refuse to give service to an aircraft based on moral grounds?

Repeat. How many lawn gnomes do I have? Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 141 Star 1,623 Fork 832 rubygems/rubygems Code Issues 99 Pull requests 39 Projects The same logic applies to libraries, except that the name of the environment variable is LD_LIBRARY_PATH The use of the LD_LIBRARY_PATH and PATH allow ordinary users, who do not have root

https://t.co/p8UW… 6hoursago RT @ellupaljarvi: And than you wonder why I mostly tweet in English. #finnish #language https://t.co/X9Lvjeeomb 8hoursago RT @abt_programming: "A programmer will be able to understand a problem in full As of April 2011 I haven't sorted the details of it out, but apt-get install zlibc zlib1g-dev zlib1g seems to be sufficient on a Debian system. Any better way to determine source of light by analyzing the electromagnectic spectrum of the light Does chilli get milder with cooking? If one wrote export PATH="/usr/bin:/home/scoobydoo/ourcompiledruby/bin" to the /home/scoobydoo/.bashrc ,then the /usr/bin/irb would get executed.

It apparently doesn't have an error handler configured to detect the redirect so it just gives up. Have you set the http_proxy env variable? Otherwise there will be problems, because not all common tools reside in the /usr/bin and one probably wants to have multiple custom-built applications in use. This could take a while...

On Debian it means that zlib development packages have to be installed before one starts to compile the Ruby. Adapt. share|improve this answer answered Sep 21 '08 at 7:46 Asaf Bartov 1,18911215 add a comment| up vote 1 down vote if gem update --system not works and rename ruby/bin/zlib1.dll to zlib.dll